package sgd.and03.sternzeichen

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log.i
import android.view.View
import android.widget.AdapterView
import android.widget.NumberPicker
import android.widget.Spinner
import android.widget.TextView

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        val picker = findViewById<NumberPicker>(R.id.numberpicker_tag)
        picker.minValue = 1
        picker.maxValue = 31
        val spinner = findViewById<Spinner>(R.id.spinner_monat)
        spinner.onItemSelectedListener = object : AdapterView.OnItemSelectedListener {
            override fun onItemSelected(parent: AdapterView<*>, view: View, position: Int, id: Long) {
                val tage = intArrayOf(31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31)
                picker.maxValue = tage[position]
            }
            override fun onNothingSelected(p0: AdapterView<*>?) {
            }
        }
    }


    fun onButtonOKClick(view: View?) {
        val tag = findViewById<NumberPicker>(R.id.numberpicker_tag).value
        val monat = findViewById<Spinner>(R.id.spinner_monat). getSelectedItemPosition()
        val textview = findViewById<TextView>(R.id.textview_ausgabe)
        i(this::class.java.simpleName,sternzeichen(tag, monat+1))

        textview.text = "Dein Sternzeichen ist " + sternzeichen(tag, monat+1)
    }


}